AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

RestClient instance options

### Hierarchy

- RestClientOptions

## Index

### Constructors

- constructor

### Properties

- credentials
- credentials_key
- headers

## Constructors

### constructor

- new RestClientOptions(): RestClientOptions

- - Defined in api/src/types/index.ts:30

  #### Returns RestClientOptions

## Properties

### credentials

credentials: AWSCredentials

- Defined in api/src/types/index.ts:20

AWS credentials

### credentials_key

credentials_key: string

- Defined in api/src/types/index.ts:27

Lookup key of AWS credentials. If credentials not provided then lookup from sessionStorage. Default 'awsCredentials'

### headers

headers: object

- Defined in api/src/types/index.ts:30

Additional headers for all requests send by this client. e.g. user-agent